Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.extra
Class SequenceExchanger.EvaluationThread

    java.lang.Object
      com.saxonica.extra.SequenceExchanger.Producer
          com.saxonica.extra.SequenceExchanger.EvaluationThread

All Implemented Interfaces:
  Runnable

Enclosing class:
  SequenceExchanger

    public static class SequenceExchanger.EvaluationThread

extends SequenceExchanger.Producer

EvaluationThread is a producer that evaluates an expression in "push" mode, writing the results to a Conduit.

Constructor Summary
`SequenceExchanger.EvaluationThread(Expression exp, PipelineConfiguration pipe, XPathContext context, com.saxonica.extra.Conduit conduit)` Create an EvaluationThread

Method Summary
`SequenceExchanger.Producer` | `getAnother(com.saxonica.extra.Conduit conduit)` Make a copy of this Producer, evaluating the expression again starting at the beginning, and writing the results to a new Conduit
`void` | `run()` Run the thread, evaluating the expression and writing its results to the Conduit

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceExchanger.EvaluationThread

    public SequenceExchanger.EvaluationThread(Expression exp,
                                              PipelineConfiguration pipe,
                                              XPathContext context,
                                              com.saxonica.extra.Conduit conduit)

  Create an EvaluationThread

  Parameters:
    `exp` - the expression to be evaluated
    `pipe` - configuration information, for example the error listener to be used
    `context` - the evaluation context for the expression
    `conduit` - the conduit to which the expression results are to be written

Method Detail

### run

    public void run()

  Run the thread, evaluating the expression and writing its results to the Conduit

### getAnother

    public SequenceExchanger.Producer getAnother(com.saxonica.extra.Conduit conduit)

  Make a copy of this Producer, evaluating the expression again starting at the beginning, and writing the results to a new Conduit

  Specified by:
    `getAnother` in class `SequenceExchanger.Producer`
  Parameters:
    `conduit` - the new Conduit
  Returns:
    the new EvaluationThread

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.